wxRuby Documentation Home

# Wx::ContextHelpButton

Instances of this class may be used to add a question mark button that when pressed, puts the
application into context-help mode. It does this by creating a ContextHelp object which itself
generates a EVT_HELP event when the user clicks on a window.

On Windows, you may add a question-mark icon to a dialog by use of the DIALOG_EX_CONTEXTHELP extra style, but
on other platforms you will have to add a button explicitly, usually next to OK, Cancel or similar buttons.

## Derived from

BitmapButton

Button

Control

Window

EvtHandler

Object

## See also

BitmapButton, ContextHelp

## Methods

- ContextHelpButton.new

### ContextHelpButton.new

#### Parameters

- parent Parent window. Must not be NULL.
- id Button identifier. Defaults to ID_CONTEXT_HELP.
- pos Button position.
- size Button size. If the default size (-1, -1) is specified then the button is sized
  appropriately for the question mark bitmap.
- style Window style.

#### Remarks

Normally you need pass only the parent window to the constructor, and use the defaults for the remaining parameters.

[This page automatically generated from the Textile source at 2023-06-09 00:45:30 +0000]